searchNodes=[{"ref":"MixpanelPlug.html","title":"MixpanelPlug","type":"module","doc":"Mixpanel tracking as a plug. Track events with useful context like referrer, user agent information, and UTM properties Keep user profiles up to date on every request Respects ‘Do Not Track’ request headers"},{"ref":"MixpanelPlug.html#call/2","title":"MixpanelPlug.call/2","type":"function","doc":"Checks for the ‘Do Not Track’ request header and if it exists, assigns its value to the connection. In the case that tracking is permitted, update_profile will be called with the value of an assign named current_user from the connection. The value of current_user must pattern match the type user/0. If this is not matched, the user’s profile will not be updated."},{"ref":"MixpanelPlug.html#init/1","title":"MixpanelPlug.init/1","type":"function","doc":""},{"ref":"MixpanelPlug.html#track/3","title":"MixpanelPlug.track/3","type":"function","doc":"Tracks an event in Mixpanel. This is a noop if the ‘Do Not Track’ header is set. Examples MixpanelPlug.track(conn, &quot;Added To Wishlist&quot;) MixpanelPlug.track(conn, &quot;Discount Code Used&quot;, %{&quot;Value&quot; =&gt; &quot;10&quot;})"},{"ref":"MixpanelPlug.html#tracking_disabled?/1","title":"MixpanelPlug.tracking_disabled?/1","type":"function","doc":"Checks whether the &#39;Do Not Track&#39; header has been set on the connection Examples iex&gt; MixpanelPlug.tracking_disabled?(conn) true"},{"ref":"MixpanelPlug.html#update_profile/2","title":"MixpanelPlug.update_profile/2","type":"function","doc":"Updates a user profile in Mixpanel. This method pattern matches the value of the user struct against the type user/0. If this is not matched, the user’s profile will not be updated. This is a noop if the ‘Do Not Track’ header is set. Examples MixpanelPlug.update_profile(conn, %{id: 1, name: &quot;Callum&quot;, email: &quot;callum@example.com&quot;})"},{"ref":"MixpanelPlug.html#t:user/0","title":"MixpanelPlug.user/0","type":"type","doc":""},{"ref":"readme.html","title":"README","type":"extras","doc":"MixpanelPlug A plug-based approach to Mixpanel tracking with Elixir. Use MixpanelPlug to: Track events with useful context like referrer, user agent information, and UTM properties Keep user profiles up to date on every request MixpanelPlug respects the ‘Do Not Track’ request header. When this is set, no tracking calls will be made."},{"ref":"readme.html#installation","title":"README - Installation","type":"extras","doc":"If available in Hex, the package can be installed by adding mixpanel_plug to your list of dependencies in mix.exs: def deps do [ {:mixpanel_plug, &quot;~&gt; 0.1.0&quot;} ] end Documentation can be generated with ExDoc and published on HexDocs. Once published, the docs can be found at https://hexdocs.pm/mixpanel_plug."},{"ref":"readme.html#configuration","title":"README - Configuration","type":"extras","doc":"Add configuration for mixpanel_api_ex to your config/config.exs file: config :mixpanel_api_ex, config: [token: &quot;your_mixpanel_token&quot;]"},{"ref":"readme.html#usage","title":"README - Usage","type":"extras","doc":"In a Phoenix application, register the MixpanelPlug plug in router.ex: defmodule Example.Router do use Example, :router pipeline :browser do plug :accepts, [&quot;html&quot;, &quot;json&quot;] plug :fetch_session plug :fetch_flash plug :protect_from_forgery plug :put_secure_browser_headers + plug MixpanelPlug end end If the ‘Do Not Track’ (dnt) has been set to 1, the property do_not_track: true will be assigned to the connection. Additionally, a call to MixpanelPlug.update_profile/2 will be made with the value of current_user from the connection, if ‘Do Not Track’ is not set. For more information, please see the module documentation. For making tracking calls, use MixpanelPlug.track_event: defmodule Example.UserController do use Example, :controller import MixpanelPlug, only: [track_event: 3] def create(conn, %{&quot;email&quot; =&gt; email}) do conn |&gt; track_event(&quot;Example User Created&quot;, %{&quot;email&quot; =&gt; email}) |&gt; render(&quot;user_created.html&quot;) end end The properties added to the tracking call include the following, where appropriate: %{ &quot;email&quot; =&gt; &quot;email@example.com&quot;, &quot;Current Path&quot; =&gt; &quot;/users&quot;, &quot;$browser&quot; =&gt; &quot;Mobile Safari&quot;, &quot;$browser_version&quot; =&gt; &quot;10.0&quot;, &quot;$device&quot; =&gt; &quot;iPhone&quot;, &quot;$os&quot; =&gt; &quot;iOS 10.3.1&quot;, &quot;utm_campaign&quot; =&gt; &quot;campaign&quot;, &quot;utm_content&quot; =&gt; &quot;content&quot;, &quot;utm_medium&quot; =&gt; &quot;medium&quot;, &quot;utm_source&quot; =&gt; &quot;source&quot;, &quot;utm_term&quot; =&gt; &quot;term&quot; }"}]